import { Injectable } from "@angular/core";
import { Employee } from "../model/model";
import { HttpClient } from "@angular/common/http";
import { Observable } from "rxjs/Observable";

@Injectable()
export class ApiService {


    constructor(
        private httpClient: HttpClient
    ) { }

    register(employeeInfo: Employee): Observable<any> {
        return this.httpClient.get('http://localhost:8081/getcall')
    }

    userinsert(employeeInfo: Employee):Observable<any> {
     
        return this.httpClient.post('localhost:8081/create',employeeInfo)
    }
}